Bug 210307 - Incorrect content length header on pxt pages.
Summary: Incorrect content length header on pxt pages.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
(Show other bugs)
Version: RHN Stable
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mike McCune
QA Contact: Preethi Thomas
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 173427
TreeView+ depends on / blocked
 
Reported: 2006-10-11 14:11 UTC by Ken Ganong
Modified: 2007-06-26 03:09 UTC (History)
1 user (show)

Fixed In Version: sat500
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-26 03:09:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ken Ganong 2006-10-11 14:11:17 UTC
The perl pages have an incorrect content length header for http responses. This
results in the last couple bytes being cut off my strict http clients.

Test Plan:
1. choose a *.pxt page that you can access without authentication.
2. run "curl 'http://your.url.pxt' > lengthtest"
3. Verify that the file created includes all the necessary characters (ends with
</html> is a simple check)

Current Results:
http://schroeder.rdu.redhat.com/help/contact.pxt ends with </html

Expected Results:
ends with </html> linefeed

Comment 1 Ken Ganong 2006-10-11 14:18:47 UTC
Content length used to be calculated based on character length rather than byte
length.

This is fixed in revision 103918.

Comment 2 Ken Ganong 2006-12-05 14:54:36 UTC
Moving my bugs to ON_QA

Comment 3 Ken Ganong 2006-12-15 20:46:09 UTC
Reassigning a bunch of my bugs to mmccune so they aren't forgotten.

Comment 4 Preethi Thomas 2007-01-18 18:54:09 UTC
verified. rhn500. qapush#5

Comment 5 Preethi Thomas 2007-03-07 17:54:57 UTC
verified in stage.

Comment 6 Brandon Perkins 2007-06-26 03:09:48 UTC
Closed for Satellite 500 Release.


Note You need to log in before you can comment on or make changes to this bug.